curl --request GET \
--url https://astreus.ai/api/v1/countries/{iso}/series \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/countries/{iso}/series"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/countries/{iso}/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/countries/{iso}/series",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/countries/{iso}/series"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/countries/{iso}/series")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/countries/{iso}/series")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"history": [
{
"period": "2026-08-01",
"value": 4.1
},
{
"period": "2026-09-01",
"value": 4.2
}
],
"frequency": "Monthly",
"description": "The unemployment rate represents the number of unemployed as a percentage of the labor force. Labor force data are restricted to people 16 years of age and older, who currently reside in 1 of the 50 s…",
"sourceName": "U.S. Bureau of Labor Statistics",
"sourceLink": "https://www.bls.gov/",
"source": {
"name": "FRED",
"fullName": "FRED · U.S. Bureau of Labor Statistics",
"url": "https://fred.stlouisfed.org/series/UNRATE",
"note": "Retrieved from FRED (Federal Reserve Bank of St. Louis); original source: U.S. Bureau of Labor Statistics — Employment Situation"
},
"title": "Unemployment Rate",
"units": "Percent",
"seasonalAdjustment": "Seasonally Adjusted",
"window": {
"from": null,
"to": null,
"limit": 2,
"total": 944,
"returned": 2,
"olderTo": "2026-07-01"
}
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Macro series
curl --request GET \
--url https://astreus.ai/api/v1/countries/{iso}/series \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/countries/{iso}/series"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/countries/{iso}/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/countries/{iso}/series",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/countries/{iso}/series"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/countries/{iso}/series")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/countries/{iso}/series")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"history": [
{
"period": "2026-08-01",
"value": 4.1
},
{
"period": "2026-09-01",
"value": 4.2
}
],
"frequency": "Monthly",
"description": "The unemployment rate represents the number of unemployed as a percentage of the labor force. Labor force data are restricted to people 16 years of age and older, who currently reside in 1 of the 50 s…",
"sourceName": "U.S. Bureau of Labor Statistics",
"sourceLink": "https://www.bls.gov/",
"source": {
"name": "FRED",
"fullName": "FRED · U.S. Bureau of Labor Statistics",
"url": "https://fred.stlouisfed.org/series/UNRATE",
"note": "Retrieved from FRED (Federal Reserve Bank of St. Louis); original source: U.S. Bureau of Labor Statistics — Employment Situation"
},
"title": "Unemployment Rate",
"units": "Percent",
"seasonalAdjustment": "Seasonally Adjusted",
"window": {
"from": null,
"to": null,
"limit": 2,
"total": 944,
"returned": 2,
"olderTo": "2026-07-01"
}
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
ISO 3166-1 country code (US), ISO 3166-2 first-level region code (AE-DU) or second-level region code (DE-KRS-09162, ES-SE).
Query Parameters
Series key, A-Z0-9_ (e.g. UNEMPLOYMENT_RATE). Keys come from GET /api/v1/countries/{iso}?view=catalog (or /regions?view=catalog®ion= for a region, with &parent= for a second-level one).
^[A-Z0-9_]{1,64}$First period, YYYY-MM-DD.
Last period, YYYY-MM-DD.
Latest N observations inside [from, to], 1–100000; window then reports total, returned and olderTo (the to that reads the points before).
1 <= x <= 100000Response
OK
Inferred from captured responses: every field shown was returned by a real call; a field may be absent or null on other calls.